Very old version

Hi everyone,
An institutional website has Pro Theme 1.1.1 It was never been updated. This website is very slow. I did and checked many things to optimize it but it failed.
For example, last thing I tryed yesterday is that I re-activated WP_Rocket and the server crashed…(hopefully we had isolated it on its own server).
Anyway, I’m pretty sure it has something to do with the Theme not being updated. All the code that I checked by the people who made it seems clean.
WP is 4.9.16 and PHP 7.0.0
In my account, I can only download Pro 5.0.8 or 4.3.3
I would like to get older versions like v2, v3 and v4 to test them on one of our staging servers.
Thank you in advance.

Florent

Hello Florent,

Thanks for writing to us.

Regretfully we don’t provide older versions of the theme. I would suggest you copy your live site to a staging server then update the theme there at the staging server. I would suggest please make sure your theme, plugin WordPress core, and the PHP version are updated as per our version compatibility page.

In case if you have not seen our theme update doc please have a look at this to learn more about how to update the theme.

Please note you must purge all the cache so that the latest code renders properly.

Thanks

Hello,
Thank you for your reply.
I have installed both Pro Theme and its Theme-child on staging server. WP is up to date, all plugins are up to date. Meanwhile everything is crashed when I tried to use the Theme.
I have this error :
Error: Call to undefined method ReflectionType::getName() in /home/idinteradev7/www/theixnoy/wp-content/themes/pro/cornerstone/includes/classes/Util/IocContainer.php on line 55
Other themes like twentytwenty… work fine.
I have purged the cache.
The same thing happened with pro-child. It is your pro-child, not mine. Mine is saved somewhere else.
Do you need credentials ?
Thank you in advance.

Florent

Hi Florent,

Please update your Wordpress to latest version 5.8.1 and your PHP version to 7.4 (WordPress requirements)

Remember to clear all your caching features (plugin, server-side, CDN, and browser’s cache) after updating so that the code from the latest release is always in use. This will help you to avoid any potential errors.

Cheers,

Hi,
PHP versions on our servers (for WP websites) are either 7.0 or 7.3
This website is on one of our php 7.0 server, we could migrate it to one of our 7.3 server. Is there no chance that it works on 7.3 ?
Does the Pro 4.3 could work on php 7.3 ?

Cheers,
Florent

Hi Florent,

You could try using PHP 7.3 using Pro 4.3 and Pro 5.0.8 then let see how it goes but it is recommendable to use PHP 7.4 and up.

Hope that helps.